/******************************************************************************/
/* AEL Sarl : Web hosting, datacenter, gestion et comptabilit dportes      */
/* Copyright (C) 2008 Affaires En Ligne S.A.R.L.                              */
/* Contact : contact@affaires-en-ligne.fr                                     */
/* Web : http://www.spidboutic.fr                                             */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/**
 * Initialisation de fentre
 */
function init(){}
   

/**
 * Envoyer sur un menu
 * 
 * @param {int} num_menu    un numro de menu
 */
function goToMenu(num_menu) {
    try {
        switch(num_menu) {
            case 1: window.location = "chrome://opensi/content/crm/user/prospects/gestion_prospects.xul?" + cookie(); break;
            case 2: window.location = "chrome://opensi/content/crm/user/phoning/planning_phoning.xul?" + cookie(); break;
            case 3: window.location = "chrome://opensi/content/crm/user/mailing/mailing.xul?" + cookie(); break;
            case 4: window.location = "chrome://opensi/content/crm/user/mailing/desabonner.xul?" + cookie(); break;
        }
    } catch (e) {
        recup_erreur('erreur dans crm/user/menu_crm.js#goToMenu : '+ e);
    }
}

/**
 * Ouvrir une entre de menu
 * 
 * @param {string} sous_menu_id    un identifiant de sous-menu
 */
function ouvrirSousMenu(sous_menu_id) {
	document.getElementById(sous_menu_id).collapsed = false;
}
