/******************************************************************************/
/* AEL Sarl : Web hosting, datacenter, gestion et comptabilit dportes      */
/* Copyright (C) 2008 Affaires En Ligne S.A.R.L.                              */
/* Contact : contact@affaires-en-ligne.fr                                     */
/* Web : http://www.spidboutic.fr                                             */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

// arbre de l'historique
var ga_devis = new Arbre("crm", "listeDevisProspect.tmpl", "liste_devis_prospect");

/**
 * Initialisation de la fentre
 * 
 */
function rafraichirHistoriqueDevis() {
    try {
        ga_devis.deleteTree();
        ga_devis.setParam("Id_Prospect", identifiant_prospect);
        ga_devis.initTree();
    } catch (e) {
    	recup_erreur("erreur dans crm/user/phoning/overlay_historique_devis_prospect.js#init_historique_devis : " + e);
    }
}

/**
 * Visualiser un devis
 */
function voirDevis() {
    try {
    	var tree = document.getElementById("liste_devis_prospect");
        
        if (tree.view != null && tree.currentIndex != -1) {
            var url = "chrome://opensi/content/crm/user/devis/devis.xul?" + cookie();
            url += "&Id_Devis=" + getCellText(tree, tree.currentIndex, 'idDevis');
            window.openDialog(url, "", "chrome, modal, centerscreen");
        }
    } catch (e) {
    	recup_erreur("erreur dans crm/user/phoning/overlay_historique_devis_prospect.js#voirDevis : " + e);
    }
}

