/******************************************************************************/
/* AEL Sarl : Web hosting, datacenter, gestion et comptabilit dportes      */
/* Copyright (C) 2008 Affaires En Ligne S.A.R.L.                              */
/* Contact : contact@affaires-en-ligne.fr                                     */
/* Web : http://www.spidboutic.fr                                             */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

jsLoader.loadSubScript("chrome://libopensi/content/rdfds.js");
jsLoader.loadSubScript("chrome://libopensi/content/load_rdf.js");
jsLoader.loadSubScript("chrome://opensi/content/libs/query.js");
jsLoader.loadSubScript("chrome://opensi/content/libs/arbres.js");
jsLoader.loadSubScript("chrome://opensi/content/libs/verif.js");
jsLoader.loadSubScript("chrome://opensi/content/crm/libs/prospect.js");
jsLoader.loadSubScript("chrome://opensi/content/crm/libs/resolution.js");
jsLoader.loadSubScript("chrome://opensi/content/crm/libs/communication.js");
jsLoader.loadSubScript("chrome://opensi/content/crm/libs/date_heure_widget.js");


/**
 * Initialisation des overlays
 */
function init() {
    try {
        var id_prospect = ParamValeur("Id_Prospect");
        if (id_prospect != "") 
            modifierProspectGestion(id_prospect);
        else
            document.getElementById("deck").selectedIndex = 0;
         init_tri();
    } catch (e) {
	    recup_erreur("erreur dans crm/user/prospects/gestion_prospects.js#init : "+ e);
    }
}

/**
 * Afficher directement une fiche prospect pour consultation et/ou modification
 * 
 * @param {String} id_prospect    identifiant du prospect  afficher
 */
function modifierProspectGestion(id_prospect) {
    try {
        document.getElementById("deck").selectedIndex = 1;
        document.getElementById("fiche_prospect").selectedIndex = 0;
        init_phoning(id_prospect);
    } catch (e) {
        recup_erreur("erreur dans crm/user/prospects/gestion_prospects.js#modifierProspectGestion : "+ e);
    }
}

/**
 * Revenir sur la gestion des prospects
 */
function retourGestionProspects() {
    try {
        document.getElementById("deck").selectedIndex = 0;
        var tree = document.getElementById("liste_prospects");
        if (tree.view != null && tree.view.selection)
            tree.view.selection.clearSelection();
	} catch (e) {
        recup_erreur('erreur dans crm/user/phoning/gestion_prospects.js#retourGestionProspects : '+ e);
    }
}

/**
 * Revenir sur la fiche propect + historique des communications
 */
function retourAssistantProspect() {
    try {
        document.getElementById("deck").selectedIndex = 1;
        var tree = document.getElementById("liste_communications_prospect");
        if (tree.view != null && tree.view.selection)
            tree.view.selection.clearSelection();
        rafraichirHistoriqueCommunications();
	} catch (e) {
        recup_erreur('erreur dans crm/user/prospects/gestion_prospects.js#retournerProspect : '+ e);
    }
}

/**
 * Revenir au menu principal de facturation
 */
function retourMenuPrincipal() {
    try {
	    window.location = "chrome://opensi/content/crm/user/menu_crm.xul?" + cookie();
    } catch (e) {
	    recup_erreur("erreur dans crm/user/prospects/gestion_prospects.js#retourMenuPrincipal : "+ e);
    }
}
