/******************************************************************************/
/* AEL Sarl : Web hosting, datacenter, gestion et comptabilité déportées      */
/* Copyright (C) 2008 Affaires En Ligne S.A.R.L.                              */
/* Contact : contact@affaires-en-ligne.fr                                     */
/* Web : http://www.spidboutic.fr                                             */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/
package com.ael.crm.mailing;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.sql.DataSource;

import org.experlog.openeas.api.Action;
import org.experlog.openeas.api.ServletRequest;
import org.experlog.openeas.api.Session;


public class Desabonner extends Action {

	@Override
	public boolean serverSide() {
		return true;
	}

	@Override
	public boolean service(Session s, ServletRequest r, Object info) throws Exception {
		Context initCtx = new InitialContext();
		Context envCtx = (Context) initCtx.lookup("java:comp/env");
		DataSource ds = (DataSource) envCtx.lookup("jdbc/AELDEV");

		Connection conn = ds.getConnection();
		conn.setAutoCommit(false);
		try {
			String id = r.getParameter("id");
			String dossier = r.getParameter("dossier");
			String req = "UPDATE CRM_"+dossier+".SPAM SET Mailing = 0 WHERE Id_Spam = '" + id + "'";
			Statement stmt = conn.createStatement();
			int nb = stmt.executeUpdate(req);
			if (nb != 1) { // Rien ? On vérifie si le drapeau est déjà à 0
				req = "SELECT Mailing FROM CRM_"+dossier+".SPAM WHERE Id_Spam = '" + id + "'";
				ResultSet rs = stmt.executeQuery(req);
				if (rs.next()) {
					if (rs.getInt("Mailing") == 1) // toujours abonné ?
						r.addParameter("ActionError", "Erreur dans le désabonnement");
				} else
					r.addParameter("ActionError", "Vous n'êtes pas abonné !");
			}
			conn.commit();
			conn.close();
		} catch (Exception e) {
			e.printStackTrace();
		}
		return true;
	}

}
